FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007240519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007240519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f003a8c OS_GIT_VERSION=4.5.0-202007240519.p0-f003a8c SOURCE_DATE_EPOCH=1594079938 SOURCE_GIT_COMMIT=f003a8c65bb71c86c25a8bf27d4750dc0732aa2a SOURCE_GIT_TAG=f003a8c6 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
WORKDIR /ingress-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20200724.062710
ENV __doozer=update BUILD_RELEASE=202007240519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007240519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=f003a8c OS_GIT_VERSION=4.5.0-202007240519.p0-f003a8c SOURCE_DATE_EPOCH=1594079938 SOURCE_GIT_COMMIT=f003a8c65bb71c86c25a8bf27d4750dc0732aa2a SOURCE_GIT_TAG=f003a8c6 SOURCE_GIT_URL=https://github.com/openshift/cluster-ingress-operator 
COPY --from=builder /ingress-operator/ingress-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/ingress-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift ingress-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of ingress controller components." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-ingress-operator" \
        com.redhat.component="ose-cluster-ingress-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Routing" \
        release="202007240519.p0" \
        io.openshift.build.commit.id="f003a8c65bb71c86c25a8bf27d4750dc0732aa2a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-ingress-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-ingress-operator/commit/f003a8c65bb71c86c25a8bf27d4750dc0732aa2a" \
        version="v4.5.0"

